summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-07-05 12:19:20 +0200
committerMichał Górny <mgorny@gentoo.org>2017-07-05 12:35:15 +0200
commit70ce185e0296b1895ec3fc9ec69ef9857f940c14 (patch)
treee822f12afc747f10031964020a70521aefe9d99b /net-dialup
parentwww-apache/mod_python: Remove last-rited pkg, #536134 (diff)
downloadgentoo-70ce185e0296b1895ec3fc9ec69ef9857f940c14.tar.gz
gentoo-70ce185e0296b1895ec3fc9ec69ef9857f940c14.tar.bz2
gentoo-70ce185e0296b1895ec3fc9ec69ef9857f940c14.zip
net-dialup/capi4k-utils: Remove last-rited pkg, #379975
Diffstat (limited to 'net-dialup')
-rw-r--r--net-dialup/capi4k-utils/Manifest3
-rw-r--r--net-dialup/capi4k-utils/capi4k-utils-20050718-r7.ebuild181
-rw-r--r--net-dialup/capi4k-utils/files/README.gentoo86
-rw-r--r--net-dialup/capi4k-utils/metadata.xml17
4 files changed, 0 insertions, 287 deletions
diff --git a/net-dialup/capi4k-utils/Manifest b/net-dialup/capi4k-utils/Manifest
deleted file mode 100644
index ea99332f069..00000000000
--- a/net-dialup/capi4k-utils/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST capi4k-files-20050718-r5.tar.xz 3864 SHA256 ffeb2985c5eea7b64f95ac94e7f1065921b141a07b1b3c1e79f660edf20176a8 SHA512 df65fa9f8dd0a1286391dd5a7ec077b492b2d486904b2baae9b78726299e24bca677baa17d243dc9e712e4f591b21a8b4314b52f302f1171454024428e999557 WHIRLPOOL 4b96683d2a68fb25c09e8288c8d81a73a521b50b5f91410dd4e7afd29b1569480fe54c59e95a85bb0c72929bd27c9989c944f29d9fc89889c3cbb898b2e5be85
-DIST capi4k-patches-20050718-r5.tar.xz 12564 SHA256 e390c9a87b9b31a6934198a2c6e9e99f0dea43daa8a04ce604f13ae72c1ee24b SHA512 68f3643d39e2fe1814ab65235402fb310c751a0ea142debc9f03df56790982673b1e5a47cbecb02e96ea922be124c09d3c52db4720f1fdc1434b150d1532c337 WHIRLPOOL 2f7a6ab5c72e699a2210806f33ead77128bacbe1c7ecd1f47b7f077c3815663adb7a9a8abba9c621eff2beb32024d65f1be52598d2165ac7687e6862cf920418
-DIST capi4k-utils-2005-07-18.tar.gz 862826 SHA256 b162d726a31310fc29e7c0a25a4f82a590457f6a95c1b1168bcd72b6497b5746 SHA512 9493f2d81cb6cf39dc97a119b5133834019c7570c58c2e8aac8abff3c8ab0b37ec0630da535eadc58bc5111f70887f34d88729ddf2832dbfaf993013c40e8e47 WHIRLPOOL f69da2bfc814702ab87fadb4ce55bcc70b35866f2b47f03bc4ad89237cccd7bbd1fc583b616b364f51751ffbc41e1282aa4c2e07d6cc04c175ca2276c445b5f7
diff --git a/net-dialup/capi4k-utils/capi4k-utils-20050718-r7.ebuild b/net-dialup/capi4k-utils/capi4k-utils-20050718-r7.ebuild
deleted file mode 100644
index 385c4352899..00000000000
--- a/net-dialup/capi4k-utils/capi4k-utils-20050718-r7.ebuild
+++ /dev/null
@@ -1,181 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils linux-info multilib versionator
-
-YEAR_PV="${PV:0:4}"
-MON_PV="${PV:4:2}"
-DAY_PV="${PV:6:2}"
-MY_P="${PN}-${YEAR_PV}-${MON_PV}-${DAY_PV}"
-
-PATCHVER="5"
-TARBALL_FILES="capi4k-files-${PV}-r${PATCHVER}.tar.xz"
-TARBALL_PATCHES="capi4k-patches-${PV}-r${PATCHVER}.tar.xz"
-
-DESCRIPTION="CAPI4Linux Utils"
-HOMEPAGE="ftp://ftp.in-berlin.de/pub/capi4linux/"
-SRC_URI="ftp://ftp.in-berlin.de/pub/capi4linux/${MY_P}.tar.gz
- ftp://ftp.in-berlin.de/pub/capi4linux/OLD/${MY_P}.tar.gz
- http://sbriesen.de/gentoo/distfiles/${TARBALL_FILES}
- http://sbriesen.de/gentoo/distfiles/${TARBALL_PATCHES}"
-
-LICENSE="GPL-2"
-SLOT="0/3.0.4"
-KEYWORDS="alpha amd64 ppc x86"
-IUSE="fax +pppd rcapid"
-
-COMMON_DEP="pppd? ( net-dialup/ppp:= )"
-
-DEPEND="${COMMON_DEP}
- virtual/linux-sources
- virtual/os-headers
- app-arch/xz-utils
- >=sys-apps/sed-4"
-
-RDEPEND="${COMMON_DEP}
- dev-lang/perl"
-
-S="${WORKDIR}/${PN}"
-
-pkg_setup() {
- # check kernel config
- CONFIG_CHECK="~ISDN ~ISDN_CAPI ~ISDN_CAPI_CAPI20"
- use pppd && CONFIG_CHECK="${CONFIG_CHECK} ~ISDN_CAPI_MIDDLEWARE ~ISDN_CAPI_CAPIFS_BOOL"
- get_version # config checked later in pkg_postinst
-
- # find installed pppd version
- if use pppd; then
- local INSTALLED_PPP="$(best_version net-dialup/ppp)"
- PPPVERSION="${INSTALLED_PPP#net-dialup/ppp-}"
- PPPVERSION="$(version_format_string '$1.$2.$3' ${PPPVERSION})"
- if [ -z "${PPPVERSION}" ]; then
- die "No pppd installation found"
- fi
- fi
-}
-
-src_prepare() {
- # add ppp-2.4.4 support
- epatch "${WORKDIR}/capi4k-patches/pppd244.diff"
-
- # add ppp-2.4.5 support
- epatch "${WORKDIR}/capi4k-patches/pppd245.diff"
-
- # apply rcapid patches
- epatch "${WORKDIR}/capi4k-patches/rcapid.diff"
-
- # apply msg2str-safety patch (see bug #170870)
- epatch "${WORKDIR}/capi4k-patches/msg2str-safety.diff"
-
- # apply capi20.h patches (needed for glibc-2.7)
- epatch "${WORKDIR}/capi4k-patches/capi20-include.diff"
-
- # set our config
- cp -f "${WORKDIR}/capi4k-files/config" .config
- # patch all Makefile.* and Rules.make to use our CFLAGS
- sed -i -e "s:^\(CFLAGS.*\)-O2:\1${CFLAGS}:g" */Makefile.* */Rules.make || die "sed failed"
- # patch capi20/Makefile.* to use -fPIC for shared library
- sed -i -e "s:^\(CFLAGS.*\):\1 -fPIC:g" capi20/Makefile.* || die "sed failed"
- # patch pppdcapiplugin/Makefile to use only the ppp versions we want
- sed -i -e "s:^\(PPPVERSIONS = \).*$:\1${PPPVERSION}:g" pppdcapiplugin/Makefile || die "sed failed"
- # patch capiinit/capiinit.c to look also in /lib/firmware
- sed -i -e "s:\(\"/lib/firmware/isdn\",\):\1 \"/lib/firmware\",:g" capiinit/capiinit.c || die "sed failed"
- # no, we don't need any devices nodes
- sed -i -e "s:\(sh scripts/makedev.sh\):echo \1:g" Makefile || die "sed failed"
- # add --libdir to configure call in Makefile
- sed -i -e "s:\(\./configure \):\1--libdir=/usr/$(get_libdir) :g" Makefile || die "sed failed"
- # patch /usr/lib/pppd in pppdcapiplugin tree
- sed -i -e "s:/usr/lib/pppd:/usr/$(get_libdir)/pppd:g" \
- pppdcapiplugin/ppp-*/Makefile pppdcapiplugin/{README,*.8} || die "sed failed"
- # respecting LDFLAGS (see bug #293209)
- sed -i -e "s:^LDFLAGS\s\(\s*\)=:LDFLAGS+\1=:g" \
- {capiinfo,capiinit,capifax,rcapid,avmb1}/Makefile* pppdcapiplugin/Rules.make || die
- # build rcapid
- if ! use rcapid; then
- sed -i -e "s:^\(CONFIG_RCAPID=.*\)$:# \1:g" .config || die
- fi
- # build pppdcapiplugin
- if use pppd; then
- # workaround for bug #511800
- if has_version \>=net-dialup/ppp-2.4.6; then
- pushd pppdcapiplugin &>/dev/null || die
- mv ppp-2.4.5 "ppp-${PPPVERSION}" || die
- popd &>/dev/null
- fi
- else
- sed -i -e "s:^\(CONFIG_PPPDCAPIPLUGIN=.*\)$:# \1:g" .config || die
- fi
- # build capifax
- if ! use fax; then
- sed -i -e "s:^\(CONFIG_CAPIFAX=.*\)$:# \1:g" .config || die
- fi
-
- epatch_user
-}
-
-src_configure() {
- # bug 468662 - we NEED to redefine AR and CC both with tc-export and at compile phase
- tc-export AR CC
- emake subconfig
-}
-
-src_compile() {
- # bug 468662 - we NEED to redefine AR and CC both with tc-export and at compile phase
- emake AR="$(tc-getAR)" CC="$(tc-getCC)"
-}
-
-src_install() {
- default_src_install
- prune_libtool_files
-
- # install base
- dobin scripts/isdncause
- newinitd "${WORKDIR}/capi4k-files/capi.initd" capi
- newconfd "${WORKDIR}/capi4k-files/capi.confd" capi
- insinto /etc
- doins "${WORKDIR}/capi4k-files/capi.conf"
- dodoc "${WORKDIR}/capi4k-files/README.gentoo" scripts/makedev.sh
-
- # install rcapid stuff
- if use rcapid; then
- insinto /etc/xinetd.d
- newins "${WORKDIR}/capi4k-files/rcapid.xinetd" rcapid
- newdoc rcapid/README README.rcapid
- fi
-
- # install pppdcapiplugin stuff
- if use pppd; then
- insinto /etc/ppp/peers
- doins pppdcapiplugin/peers/t-dsl
- docinto pppdcapiplugin
- dodoc pppdcapiplugin/README pppdcapiplugin/examples/*
- # fixing permissions (see bug #136120)
- fperms 0644 /usr/share/man/man8/capiplugin.8
- fi
-}
-
-pkg_postinst() {
- elog
- elog "Please read the instructions in README.gentoo in:"
- elog "/usr/share/doc/${PF}/"
- elog
- elog "Annotation for active AVM ISDN boards (B1 ISA/PCI, ...):"
- elog "If you run"
- elog " emerge isdn-firmware"
- elog "you will probably find your board's firmware in /lib/firmware."
- elog
- elog "If you have another active ISDN board, you should create"
- elog "/lib/firmware and copy there your board's firmware."
- elog
- ewarn "If you're upgrading from an older capi4k-utils, you must recompile"
- ewarn "the other packages on your system that link with libcapi after the"
- ewarn "upgrade completes. To perform this action, please run revdep-rebuild"
- ewarn "in package app-portage/gentoolkit."
- elog
- elog "If any of the following kernel configuration options is missing, you"
- elog "should reconfigure and rebuild your kernel before using capi4k-utils."
- linux-info_pkg_setup
- elog
-}
diff --git a/net-dialup/capi4k-utils/files/README.gentoo b/net-dialup/capi4k-utils/files/README.gentoo
deleted file mode 100644
index e809a58c84a..00000000000
--- a/net-dialup/capi4k-utils/files/README.gentoo
+++ /dev/null
@@ -1,86 +0,0 @@
-####################################################################
-# CAPI4Linux / Gentoo usage instructions #
-####################################################################
-
-First edit /etc/capi.conf to match your configuration.
-
-here an example for the AVM B1 PCI card:
-
- # card file proto io irq mem cardnr options
- b1pci b1.t4 DSS1 - - - -
-
-First option is the name of the kernel driver, second is the firmware
-file which will be uploaded to the card. All firmware files for active
-ISDN controllers have to be placed in /lib/firmware.
-
-The 'cardnr' option can be left '-' if you only have one card.
-Otherwise fill in the card number you want to assign to this card.
-
-'options' is a list of options which are passed via 'modprobe' to
-the card driver. You can also set them somewhere in /etc/modules.d
-but this is only recommended for USB based cards, where capi.conf
-is normally not used/needed.
-
-Then you should check /etc/conf.d/capi and change it to your needs.
-
-Now you can start the CAPI with
-
- /etc/init.d/capi start
-
-It should show the loaded drivers/cards after the initialization.
-You can check the CAPI with the 'capiinfo' command.
-
-So, if all runs smoothly, then fixate it
-
- rc-update add capi boot
-
-You can now install the package net-dialup/isdn4k-utils if you
-want to use all the legacy ISDN apps, such as 'isdnlog'.
-
-
-modules oder static?
-~~~~~~~~~~~~~~~~~~~~
-In general it's ok to compile all ISDN/CAPI stuff into the kernel.
-But I suggest to compile at least all card drivers as a module.
-That includes the 'capidrv' driver! That way it's much easier to
-change a card and/or unload the driver if needed.
-
-
-hotplug or hardwired?
-~~~~~~~~~~~~~~~~~~~~~
-Gentoo supports hotplug for CAPI-Cards. Just plug in your card,
-wait for the beep (if enabled in /etc/conf.d/capi) and check with
-'capiinfo' if your card is available to the CAPI subsystem.
-
-If you have more than one card and/or depend on services like
-'capi4hylafax' or 'isdnlog', it's better to disable hotplug in
-/etc/conf.d/capi and configure your card(s) in /etc/capi.conf.
-
-You can always check what card(s) are loaded with
-
- /etc/init.d/capi info
-
-If you stopped CAPI with
-
- /etc/init.d/capi stop
-
-you have to unplug all USB-cards to re-initialize them again.
-Ok, reboot is another option. ;-) Using only hotplug, you can
-plug in and out your card as often as you want.
-
-
-pppdcapiplugin
-~~~~~~~~~~~~~~
-please read the README and have a look at the examples.
-You obviously need net-dialup/ppp to make this work.
-
-
-rcapid
-~~~~~~
-if you want to use 'rcapid' (remote capi daemon), then install
-sys-apps/xinetd and configure it in /etc/xinetd.d/rcapid
-and read the rcapid documentation.
-
-
---
-Stefan Briesenick <sbriesen@gmx.de> 2005-04-09
diff --git a/net-dialup/capi4k-utils/metadata.xml b/net-dialup/capi4k-utils/metadata.xml
deleted file mode 100644
index 4248e249a2a..00000000000
--- a/net-dialup/capi4k-utils/metadata.xml
+++ /dev/null
@@ -1,17 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <!-- maintainer-needed -->
- <longdescription lang="en">
- This package contains the CAPI 2.0 library, which is needed for all
- CAPI applications. It also contains programs to show information about
- installed CAPI controllers and for the receiving and sending of FAX
- messages. CAPI 2.0 drivers for Linux are available for a growing
- number of ISDN devices.
- </longdescription>
- <use>
- <flag name="fax">Install capi-fax demo programs</flag>
- <flag name="pppd">Installs pppdcapiplugin modules</flag>
- <flag name="rcapid">Installs rcapid daemon</flag>
- </use>
-</pkgmetadata>